"YANAGAWA Kazuhisa" <kjana / os.xaxon.ne.jp> wrote in message
news:20010327142924.0C7152E59 / helium.ruby-lang.org...
> In message <v3Rv6.103822$W05.20140008 / news1.rdc1.mi.home.com>
> jkaurin / home.com writes:
>
> >    - Unable to get Tk interface working (Tcl and Tk are installed on
> >      the system).
>
> Maybe installation procedure can not locate Tcl/Tk's header files and
> libraries.  Furthermore it may be a case that X's headers and libs.
>
> You can configure with options explicitly include/library path like:
>
>     ./configure --with-tcl-include=/usr/local/include/tcl8.0jp \
>                 --with-tcl-library=/usr/local/lib \
>                 --with-tcllib=tcl80jp \
>                 --with-tk-include=/usr/local/include/tk8.0jp \
>                 --with-tk-library=/usr/local/lib \
>                 --with-tklib-tk80jp \
>                 --with-X11-dir=/usr/X11R6
>
> on my environment, FreeBSD 4.2-Release where japanized version of
> Tcl/Tk 8.0 headers are in /usr/local/include/{tcl,tk}8.0jp, libraries
> in /usr/local/lib and their names are lib{tcl,tk}80jp.so.*, and X is
> installed on /usr/X11R6 in which /usr/X11R6/include and
> /usr/X11R6/lib.
>
> Generally options for extconf.rb in each ext module directory can be
> gieven to configure and they are passed to extconf.rb when ext modules
> are built.
>

Note: Please excuse any naivete in my questions, I have not done any
C programming on a UNIX box (there are a few of us :-) and I am not
familiar with the tools. I am only remotely familiar with Makefiles, mostly
I
work with auto-generated ones :-)

I tried your suggestions above and appear to get a clean compile for
tcltklib (at least no errors reported) during the make cycle. But Tk still
will not work. It appears that "require tk" wants to load "tcltklib" and
"tkutil" but the associated Ruby files do not exist in my distribution.
Should they? My Windows Ruby distribution works with Tk fine and
the same files do not exist. Am I missing some environment variables
on the UNIX side?

A side question: Where can I get descriptions of the directives you
noted above? configure --help does not list them.

>
> > Ruby 1.6.3
> >    - Unable to get core running using the default distribution or
> >      changes I made for 1.6.2
> >    - Numerous "multiply defined" warnings leading to a stopped make.
>
> Probably this is because `extern inline' functions in ruby.h, such as
> rb_type().  Replacing `extern' of those functions to `static' may
> works fine.  This issue is reported recently on ruby-dev, and
> discussed now on correct way of using inline if able and not causing
> problem if no inline functions available.

See note above.

This helped, I can now make Ruby 1.6.3. Thanks. I still get numerous
warnings, though, but they are mostly confined to two categories,
ptrmismatch and "unresolved" warnings of the type:

   ld:
   Warning: Unresolved:
   rb_check_type
   rb_check_safe_str
   ...

The unresolved" warnings are numerous and appear throught the
make process.

Can I do something to eliminate them?

>
>
> --
> kjana / os.xaxon.ne.jp                                 March 27, 2001
> Speech is silver, silence is golden.

Thanks again. Any further assistance will be appreciated.